import Ember from 'ember';

const { inject: { service }, RSVP } = Ember;

export default Ember.Route.extend({
  sessionAccount: service('session-account'),
  beforeModel() {
    const cid = this.get('sessionAccount.account.memberof');
    if (typeof cid === 'undefined' || cid === null) {
      this.transitionTo('newcompany');
    }
  },

  model: function() {
    'use strict';
    const cid = this.get('sessionAccount.account.memberof');

    if (typeof cid !== 'undefined' && cid !== null) {
      return new RSVP.Promise((resolve, reject) => {
        return this.get('store').find('company', cid)
          .then(resolve, reject);
      });

    } else {

      return {
        needNewCompany: true
      };

    }

  }
});
